<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * External functions and service definitions.
 *
 * @package   block_vitrina
 * @copyright 2021 David Herney @ BambuCo
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$functions = [
    'block_vitrina_get_courses' => [
        'classname' => '\block_vitrina\external',
        'methodname' => 'get_courses',
        'classpath' => 'blocks/vitrina/classes/externallib.php',
        'description' => 'Get the courses list for the Vitrina',
        'type' => 'read',
        'ajax' => true,
        'loginrequired' => false,
    ],
];

$services = [
    'Vitrina webservices' => [
        'functions' => ['block_vitrina_get_courses'],
        'restrictedusers' => 0,
        'enabled' => 1,
        'shortname' => 'block_vitrina_ws',
    ],
];
